Package net.md_5.bungee.api.dialog.body

# Class PlainMessageBody

java.lang.Object
net.md_5.bungee.api.dialog.body.DialogBody
net.md_5.bungee.api.dialog.body.PlainMessageBody

public class PlainMessageBody extends DialogBody
Represents a dialog body which consists of text constrained to a certain width.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlainMessageBody(@NonNull BaseComponent contents)`
  `PlainMessageBody(@NonNull BaseComponent contents, Integer width)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `@NonNull BaseComponent`
  `contents()`
  The text body.
  `PlainMessageBody`
  `contents(@NonNull BaseComponent contents)`
  The text body.
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `String`
  `toString()`
  `Integer`
  `width()`
  The maximum width (default: 200, minimum: 1, maximum: 1024).
  `void`
  `width(Integer width)`

  ### Methods inherited from class net.md_5.bungee.api.dialog.body.DialogBody

  `getType`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PlainMessageBody

    public PlainMessageBody(@NonNull @NonNull BaseComponent contents)

  - ### PlainMessageBody

    public PlainMessageBody(@NonNull @NonNull BaseComponent contents, Integer width)

- ## Method Details

  - ### width

    public void width(Integer width)

  - ### contents

    @NonNull public @NonNull BaseComponent contents()
    The text body.

  - ### width

    public Integer width()
    The maximum width (default: 200, minimum: 1, maximum: 1024).

  - ### contents

    public PlainMessageBody contents(@NonNull @NonNull BaseComponent contents)
    The text body.
    Returns:
      `this`.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `DialogBody`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `DialogBody`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `DialogBody`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `DialogBody`